@echo off

set LOGFILE=..\troubleshooting\info.log


rem -------------------------------------------------------------------------
rem check the server status
rem -------------------------------------------------------------------------
set errmsg="Netflow server not running. Please ensure that the NetFlow Analyzer Server is running before running this script"


set JAVA_HOME=..\jre

set NETFLOW_HOME=../server/default/conf/sample-bindings.xml
set UTIL_CLASSPATH=../server/default/lib/NetFlowUtils.jar;
set JAVA=%JAVA_HOME%\bin\java

set ERRORLEVEL=
%JAVA% "-Dcontext=netflow" -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1
set e=%ERRORLEVEL%
if %e% EQU -2  goto ERRMSG

rem -------------------------------------------------------------------------
rem removing the old log file
rem -------------------------------------------------------------------------
if exist %LOGFILE% del %LOGFILE% 




set SERVER_HOME=..

set JAVA_HOME=..\jre

if "%JAVA_HOME%" == "" goto SET_DEF_JAVA

set JAVA=%JAVA_HOME%\bin\java
goto EXEC_TOOL

:SET_DEF_JAVA
set JAVA=java


:EXEC_TOOL
set DRIVER_CLASSES=%SERVER_HOME%\server\default\lib\mysql_connector.jar";"%SERVER_HOME%\server\default\lib\jtds-1.2.jar
set CLASS_PATH="%SERVER_HOME%\tools\utils.jar";"%SERVER_HOME%\server\default\lib\AdventNetPersistence.jar";"%SERVER_HOME%\server\default\lib\jboss-j2ee.jar";"%SERVER_HOME%\server\default\deploy\jboss-jca.sar";"%DRIVER_CLASSES%";"%SERVER_HOME%\lib\AdventNetDeploymentSystem.jar";"%SERVER_HOME%\server\default\lib\NetFlowUtils.jar"


call ..\bin\setcommonenv.bat
set JAVA_OPTS=-Ddb.home="%DB_HOME%"
"%JAVA%" -Djboss.home.dir=%SERVER_HOME% -cp %CLASS_PATH% com.adventnet.netflow.dbutils.DBInfo 

rem -----------------------------------------------------------------------------
rem Create sysinfofile and copy it into log file
rem -----------------------------------------------------------------------------
if not exist %SYSINFOFILE% "%SYSTEMDRIVE%\Program Files\Common Files\Microsoft Shared\MSInfo\msinfo32.exe" /report %SYSINFOFILE% /categories +SystemSummary-All




echo =======================================================================>> %LOGFILE% 2>&1
echo ------------------------------------------------------------------------
echo COMPLETED. See %LOGFILE% for more details
echo ------------------------------------------------------------------------


goto STOP


rem -------------------------------------------------------------------------
rem Error Message
rem ------------------------------------------------------------------------
:ERRMSG
echo %errmsg%
goto STOP



:STOP