@echo off
set OPTION=%1
set USERNAME="root"
set PORT=13310
set JAVA_HOME=..\jre
set NETFLOW_HOME=../server/default/conf/sample-bindings.xml
set UTIL_CLASSPATH=../server/default/lib/NetFlowUtils.jar;
set JAVA=%JAVA_HOME%\bin\java

set ERRORLEVEL=
"%JAVA%" -cp "%UTIL_CLASSPATH%" com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1
set e=%ERRORLEVEL%
if %e% NEQ -2  goto stop


echo Backing up the configuration................

call .\..\bin\startDB.bat %PORT%
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow OracleErrorCode MySQLErrorCode AdventNetErrorCode TableDSMap FunctionHandler AdapterProperties Adapter DataSource CISExtensionParameter CISExtensionParameters ConfFile RelationalCriteria Criteria SortColumn SelectColumn JoinColumns JoinTable SelectTable SelectQuery ConstituentTable     >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow PersonalityConfiguration DominantTableConfig IndexDefinition FKColumnDefinition FKDefinition PKDefinition UniqueKeyDefinition ConstraintDefinition AllowedPattern AllowedValues RangeValues ColumnDetails TableDetails SB_Applications SeqGenState UVHValues TableViewSortColumn ObjectIdentifierColumns TreeQueryIdentifierColumns SQinTreeQuery TreeQuery          >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow TreeIdentifierColumns TablesInTree TreeDefinition ServerServiceProviders ClientServiceProviders ModeSpecificServiceProviders CustomViewServiceProviders ConfFileToAppln ConfFileToModule CustomHandler FileHandler Handler Logger ResourceBundle ResourceBundleStack IsGroupSync GroupAttributes GroupMetaData GroupTemplate GroupMemberAttributes   >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow Template AaaGroups CISExtension CITypeConstraint ConfigurationTableInfo ConfigurationMetaData DrivenMICR ModuleInstanceOwnedCR ModuleOwnedCR AaaPasswordProfile AaaAccAdminProfile AaaServicePasswordRule AaaPasswordRule AaaPamConf AaaPamModuleOption AaaPamModule AaaService AaaUserConfigRecord AaaUserProperty AaaAccSessionAudit AaaPasswordHint    >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow AaaAccHttpSession AaaAccSessionProp AaaAccSession AaaUserStatus AaaAccUserProfile AaaAccOwnerProfile AaaAccBadLoginStatus AaaUser AaaAccountStatus AaaAccountOwner AaaRoleOwner AaaRoleToCategory AaaRoleCategory AaaPasswordStatus AaaAccOldPassword AaaLogin AaaAccount AaaPassword AaaMethodParams AaaMethodPermission AaaSimplePermission AaaTableAccessSPI    >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow AaaAccPassword AaaEnvironmentEntry AaaTrustedRole AaaRole AaaTableReadPermission AaaImpliedRole AaaTableUpdatePermission AaaAuthorizedRole AaaPermission AaaTablePermission AaaAce AaaImpliedPermission AaaImpliedTableColumn AaaImpliedByTableColumn IDGen IPGroups BusinessView BussDeviceMap ApplicationNames AppGroupInfo AppGroupMap DscpMap LinkDownAlertProfile   >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow LinkDownAlertRecord LinkDownAlertToDevice Gmap_Locations NetFlow_Router Snmp_Connection V3_Connection Router_Snmp_Map NetFlow_Interface NetFlow_AS ProtocolMap NetFlow_Properties GroupInfo GroupRouterMap GrpIPAddress GrpIPNetwork GrpIPRange GrpPortRange GrpAppID GrpInterfaceID System_Properties AlertProfile AlertProfileToDevice ApplicationCriteria AlertThreshold >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow EmailNotification TrapNotification MailServerSettings Workflow_Templates Workflow_Unit Templates Task_Templates Java_Api Task_Input Schedule_Properties Periodic Calendar ScheduleDetails SchIPAddress SchIPNetwork SchIPRange ConfigurationRecord SchPortProtocolCriteria SchAppCriteria ReportDetails SchToSchedulerMap Scheduled_WorkFlow Schedule Schedule_Audit ScheduleToDeviceMap SchStatus >> .\..\ConfigBackup.sql
.\..\mysql\bin\mysqldump --add-drop-table --port=%PORT% -u root netflow GrpIPBetween GrpDSCP DSCPCriteria Dashboard DashboardColumns WidgetType WidgetDataSource Widget WidgetAssociation WidgetLevel ReportDefaultRange ReportDefaultTimePeriod ReportAdditionalCriteria DefaultDashboard Router_NBAR_Protocols DscpGroupInfo DscpGroupMap BillPlan BillPlanSchedulerMap BillCostDetails User_Defined_Names CBQos_Properties RadiusServerSettings FlowFilter Alert_Properties >> .\..\ConfigBackup.sql

if "%2" == "" call .\..\bin\stopDB.bat

goto msg

:stop

echo NetFlow Server is currently running. Please shut down the server to run this script.
goto end
:msg
echo The configuration has been backed up and stored in the file ConfigBackup.sql

:end

