export DB_HOME=$PWD/../mysql
echo $DB_HOME
export host=localhost

mysqlStartupCheck()
{
	mysqlstate=`$DB_HOME/bin/mysqladmin ping -S $DB_HOME/tmp/mysql.sock 2>/dev/null | awk '{print($3)}'`
	
	if [ "$mysqlstate" == "alive" ]  
	then
		return 0
	else
		return 1
	fi
}
waitTillMysqlStarts()
{
	while true
	do
		mysqlStartupCheck
		if [ $? -ne 1  ]
		then
			return
		else
			sleep 1
		fi
	done
}



mysqlStartupCheck
if [ $? -eq 0 ]
then
echo "NetFlow Server is currently running. Please shut down the server to run this script."
exit 0
fi
./../bin/startDB.sh 13310 $DB_HOME/tmp &
waitTillMysqlStarts

echo "Backing up Configuration........."
		
		$PWD/../mysql/bin/mysqldump -u root -S  $DB_HOME/tmp/mysql.sock --add-drop-table netflow OracleErrorCode MySQLErrorCode AdventNetErrorCode TableDSMap FunctionHandler AdapterProperties Adapter DataSource CISExtensionParameter CISExtensionParameters ConfFile RelationalCriteria Criteria SortColumn SelectColumn JoinColumns JoinTable SelectTable SelectQuery ConstituentTable PersonalityConfiguration DominantTableConfig IndexDefinition FKColumnDefinition FKDefinition PKDefinition UniqueKeyDefinition ConstraintDefinition AllowedPattern AllowedValues RangeValues ColumnDetails TableDetails SB_Applications SeqGenState UVHValues TableViewSortColumn ObjectIdentifierColumns TreeQueryIdentifierColumns SQinTreeQuery TreeQuery TreeIdentifierColumns TablesInTree TreeDefinition ServerServiceProviders ClientServiceProviders ModeSpecificServiceProviders CustomViewServiceProviders  ConfFileToAppln ConfFileToModule CustomHandler FileHandler Handler Logger ResourceBundle ResourceBundleStack IsGroupSync GroupAttributes GroupMetaData GroupTemplate GroupMemberAttributes Template AaaGroups CISExtension CITypeConstraint ConfigurationTableInfo ConfigurationMetaData DrivenMICR ModuleInstanceOwnedCR ModuleOwnedCR AaaPasswordProfile AaaAccAdminProfile AaaServicePasswordRule AaaPasswordRule AaaPamConf AaaPamModuleOption AaaPamModule AaaService AaaUserConfigRecord AaaUserProperty AaaAccSessionAudit AaaPasswordHint AaaAccHttpSession AaaAccSessionProp AaaAccSession AaaUserStatus AaaAccUserProfile AaaAccOwnerProfile AaaAccBadLoginStatus AaaUser AaaAccountStatus AaaAccountOwner AaaRoleOwner AaaRoleToCategory AaaRoleCategory AaaPasswordStatus AaaAccOldPassword AaaLogin AaaAccount AaaPassword AaaMethodParams AaaMethodPermission AaaSimplePermission AaaTableAccessSPI AaaAccPassword AaaEnvironmentEntry AaaTrustedRole AaaRole AaaTableReadPermission AaaImpliedRole AaaTableUpdatePermission AaaAuthorizedRole AaaPermission AaaTablePermission AaaAce AaaImpliedPermission AaaImpliedTableColumn AaaImpliedByTableColumn IDGen IPGroups BusinessView BussDeviceMap ApplicationNames AppGroupInfo AppGroupMap DscpMap LinkDownAlertProfile LinkDownAlertRecord LinkDownAlertToDevice Gmap_Locations NetFlow_Router Snmp_Connection V3_Connection Router_Snmp_Map NetFlow_Interface NetFlow_AS ProtocolMap NetFlow_Properties GroupInfo GroupRouterMap GrpIPAddress GrpIPNetwork GrpIPRange GrpPortRange GrpAppID GrpInterfaceID System_Properties AlertProfile AlertProfileToDevice ApplicationCriteria AlertThreshold EmailNotification TrapNotification MailServerSettings  Workflow_Templates Workflow_Unit Templates Task_Templates Java_Api Task_Input Schedule_Properties Periodic Calendar ScheduleDetails SchIPAddress SchIPNetwork SchIPRange ConfigurationRecord SchPortProtocolCriteria SchAppCriteria ReportDetails SchToSchedulerMap Scheduled_WorkFlow Schedule Schedule_Audit ScheduleToDeviceMap SchStatus Router_NBAR_Protocols DscpGroupInfo DscpGroupMap BillPlan BillPlanSchedulerMap BillCostDetails User_Defined_Names CBQos_Properties RadiusServerSettings FlowFilter Alert_Properties GrpIPBetween GrpDSCP DSCPCriteria Dashboard DashboardColumns WidgetType WidgetDataSource Widget WidgetAssociation WidgetLevel ReportDefaultRange ReportDefaultTimePeriod ReportAdditionalCriteria DefaultDashboard > ./../ConfigBackup.sql		
if [ "$2" != "5" ]
then
./../bin/stopDB.sh
fi

echo "The configuration has been backed up and stored in the file ConfigBackup.sql"
