@echo off

rem $Id: i18nutil.bat,v 1.1.4.1 2009/06/23 08:41:05 kiran Exp $

rem -------------------------------------------------------------------------
rem Makes the DB compatible with the language the product is installed
rem Should not run this script without any argument
rem Should not run this script without starting the DB manually
rem -------------------------------------------------------------------------

set USERNAME="root"
set PORT=13310
set TEMP1=temptable.list
set TABLELIST=table.list
set FINALLIST=final.list
set IGNORELIST=troubleshooting\i18nignore_tables.list

cd ..

rem ------------------------------------------------------------
rem Deleting the files if already exists
rem ------------------------------------------------------------

if exist %TEMP1% del %TEMP1%
if exist %TABLELIST% del %TABLELIST%
if exist %FINALLIST% del %FINALLIST%

set MYSQLSTRING=mysql\bin\mysql -u %USERNAME% -P %PORT% -A netflow

rem ------------------------------------------------------------
rem Query to alter the database
rem ------------------------------------------------------------

echo ALTER DATABASE netflow CHARACTER SET utf8 COLLATE utf8_general_ci; | %MYSQLSTRING%

rem ------------------------------------------------------------
rem Getting all the table information
rem ------------------------------------------------------------

echo show tables | %MYSQLSTRING% >> %TEMP1%

rem ------------------------------------------------------------
rem Removing the first entry and unwanted tables to be altered
rem ------------------------------------------------------------

findstr /V "Tables_in_netflow" %TEMP1% >> %TABLELIST%

findstr /V /G:%IGNORELIST% %TABLELIST% >> %FINALLIST%

rem ------------------------------------------------------------
rem Iterating the final table list and altering the table
rem ------------------------------------------------------------

FOR /F %%A in ( %FINALLIST% ) do ( echo set foreign_key_checks=0;ALTER TABLE %%A CONVERT TO CHARACTER SET utf8 collate utf8_general_ci; | %MYSQLSTRING% )

rem ------------------------------------------------------------
rem Deleting the files created temprorily
rem ------------------------------------------------------------

if exist %TEMP1% del %TEMP1%
if exist %TABLELIST% del %TABLELIST%
if exist %FINALLIST% del %FINALLIST%

cd troubleshooting
