
#!/bin/sh
### ====================================================================== ###
##                                                                          ##
## startDB.sh  <DB_HOME> <DB_PORT>
##                                                                          ##
### ====================================================================== ###
checkForInput()
{
if [ -z "$DB_HOME" ]
then
        echo "Database is automatically started by the server. This is only for troubleshooting. Do you still want to continue (y/n)?" 
        read input
	if [ "$input" != "y" ]
	then	
	stop
	fi
        if [ -z "$DB_HOME" ]
        then
        DB_HOME=$PWD/`dirname $0`/../mysql
        fi
        if [ -z "$DB_PORT" ]
        then
        DB_PORT=13310
        fi
        if [ -z "$TMP_HOME" ]
        then
        TMP_HOME=$PWD/`dirname $0`/../mysql/tmp
        fi
fi
runDatabase
}

runDatabase()
{
useropt="-u root"
os=`uname -s`
if [ "$os" = "Linux"  ]
then
rid=`id -u`
if [ ${rid} -ne 0 ]
    then
    useropt=""
    fi
fi

if [ "$os" = "SunOS" ]
then
uid=`id | cut -d" " -f1`
if [ "$uid" != "uid=0(root)" ]
    then
    useropt=""
    fi
fi

chmod -R u+x $DB_HOME
echo "DB_HOME $DB_HOME   DB_PORT $DB_PORT   TMP_HOME $TMP_HOME"

$DB_HOME/bin/mysqld --no-defaults $useropt --basedir=$DB_HOME --tmpdir=$TMP_HOME --port=$DB_PORT --socket=$TMP_HOME/mysql.sock --default-table-type=INNODB --set-variable=query-cache-type=2 --read_buffer_size=1000000 --read_rnd_buffer_size=520000 --sort_buffer_size=4200000 --myisam_sort_buffer_size=16000000 --key_buffer_size=180000000 --innodb_buffer_pool_size=212000000 --bulk_insert_buffer_size=16000000 --table_cache=128 --innodb_flush_log_at_trx_commit=0 --low-priority-updates --innodb_file_per_table --default-character-set=utf8
}
stop()
{
exit 1
}
main()
{
  
    #DB_PORT=$1
    #if [ -n "$DB_PORT" ]
    #then
     #   DB_HOME=$PWD/../mysql
	#TMP_HOME=$DB_HOME/tmp
	#else
	#TMP_HOME=$2
    #fi
    
    #mickey passing only db_port and tmp_home for linux so there is some problem in starting db through updatemanager.sh
    #above pbm is for linux only so no changes in startdb.bat
    DB_PORT=$1
    TMP_HOME=$2
    #added to fix the issue in linux while starting as service
    if [ -n "$DB_PORT" ]
    then
    	    echo "port is given" 
	    if [ -z "$DB_HOME" ]
	    then
	    	echo "no DB_HOME is given" 
		DB_HOME=$PWD/../mysql
	    fi
	    if [ -z "$TMP_HOME" ]
	    then
	    	echo "no TMP_HOME is given" 
	    	TMP_HOME=$DB_HOME/tmp
	    fi
    fi
    
    #if [ -z "$TMP_HOME" ]
    #then
        #DB_HOME=$TMP_HOME/..
    #fi
    checkForInput
} 

main $1 $2 





